<template>
  <div class="flex gap-3 p-4 w-fit">
    <svn-avatar
      size="lg"
      :avatar="avatar"
      :firstname="firstname"
      :lastname="lastname"
    />
    
    <div class="flex flex-col justify-center">
      <p
        v-if="firstname || lastname"
        class="text-sm"
        :class="email ? 'font-medium' : null"
      >
        {{firstname}} {{lastname}}
      </p>

      <p
        v-if="email"
        class="text-xs text-dark-grey"
      >
        {{email}}
      </p>
    </div>
  </div>
</template>

<script setup>
import SvnAvatar from "@/components/avatar/SvnAvatar.vue";

const props = defineProps({
  avatar: {
    type: String,
    default: null
  },
  firstname: {
    type: String,
    default: ''
  },
  lastname: {
    type: String,
    default: ''
  },
  email: {
    type: String,
    default: ''
  }
})
</script>

<style scoped>

</style>